Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[elasticsearch] Elastic 7.x support #2165

Closed
Produits opened this issue Apr 24, 2019 · 9 comments · Fixed by gravitee-io/gravitee-elasticsearch#61

Comments

@Produits
Copy link

commented Apr 24, 2019

Elastic 7 is currently not supported by Gravitee

Is the support of this version planed ?

Thx

@brasseld

This comment has been minimized.

Copy link
Member

commented Apr 24, 2019

Hello @Produits

Can you explain why you're already looking for ES 7.x support?
You're using a specific feature of ES 7.x?

@alexwinston

This comment has been minimized.

Copy link

commented May 2, 2019

For myself I just downloaded the newest version thinking it would work, wasn't paying close enough attention to the docs saying 5.x. I can certainly use an older version but it would be nice to keep the external dependencies on the newest versions. Additionally it looks like v5 is almost 3 years old now.

@brasseld

This comment has been minimized.

Copy link
Member

commented May 2, 2019

Hi @alexwinston

We support all ES versions from 2.x to 6.x

ES 7.x has been released 3 weeks ago... we need more time to ensure that our connector is working quite nicely with this version.

@alexwinston

This comment has been minimized.

Copy link

commented May 2, 2019

@brasseld Great to know. Might want to update the docs cause it says 5.x right now. There is a NPE with 7 it appears. Didn't realize 7 was released so recently. Testing Gravitee and it is great so far!

@brasseld

This comment has been minimized.

Copy link
Member

commented May 2, 2019

Ok, will update the doc, thanks for pointing !
I already had a try with a local build (and some small changes) and everything goes well so I suppose connector will be updated soon!

@barrycheng

This comment has been minimized.

Copy link

commented Jul 2, 2019

@brasseld
Will it be released in the next version?

brasseld added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Jul 31, 2019
@brasseld brasseld changed the title Elastic 7.x support [elasticsearch] Elastic 7.x support Jul 31, 2019
@brasseld brasseld self-assigned this Jul 31, 2019
@brasseld brasseld added this to the APIM - 1.29.0 milestone Jul 31, 2019
brasseld added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 1, 2019
brasseld added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 1, 2019
@brasseld brasseld modified the milestones: APIM - 1.29.0, APIM - 1.20.x Aug 1, 2019
aelamrani added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 1, 2019
brasseld added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 2, 2019
brasseld added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 2, 2019
brasseld added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 2, 2019
brasseld added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 2, 2019
brasseld added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 2, 2019
brasseld added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 2, 2019
aelamrani added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 2, 2019
aelamrani added a commit to gravitee-io/gravitee-elasticsearch that referenced this issue Aug 2, 2019
@michaelsogos

This comment has been minimized.

Copy link

commented Aug 2, 2019

Dear @aelamrani ,

We are installing gravitee in these days, but we already have an working cluster in ES 7.1.
Unfortunately, when the GATEWAY starts it logs that the version 7 of ES is not supported.

Also i saw that you commited a new gravitee-elasticsearch (v1.28?), is possible to download the updated plugin already built? (the JAR i mean)

@aelamrani

This comment has been minimized.

Copy link
Member

commented Aug 2, 2019

I can provide you a snapshot version if you want

@aelamrani

This comment has been minimized.

Copy link
Member

commented Aug 2, 2019

Copy the plugin gravitee-repository-elasticsearch-1.29.0-SNAPSHOT.zip in the {MGMT_HOME}/plugins directory.

Copy the plugin gravitee-reporter-elasticsearch-1.29.0-SNAPSHOT.zip in the {GATEWAY_HOME}/plugins directory.

Do not forget to remove older versions of these plugins.

gravitee-repository-elasticsearch-1.29.0-SNAPSHOT.zip
gravitee-reporter-elasticsearch-1.29.0-SNAPSHOT.zip

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
API Management
Awaiting triage
6 participants
You can’t perform that action at this time.